<?php
require('fpdf_ex19_JavaScript_sprog.php');

class PDF_AutoPrint extends PDF_JavaScript
{
function AutoPrint($dialog=false)
{
	//Lance la boîte d'impression ou imprime immediatement sur l'imprimante par défaut
	$param=($dialog ? 'true' : 'false');
	$script="print($param);";
	$this->IncludeJS($script);
}

function AutoPrintToPrinter($server, $printer, $dialog=false)
{
	//Imprime sur une imprimante partagée (requiert Acrobat 6 ou supérieur)
	$script = "var pp = getPrintParams();";
	if($dialog)
		$script .= "pp.interactive = pp.constants.interactionLevel.full;";
	else
		$script .= "pp.interactive = pp.constants.interactionLevel.automatic;";
	$script .= "pp.printerName = '\\\\\\\\".$server."\\\\".$printer."';";
	$script .= "print(pp);";
	$this->IncludeJS($script);
}
}

$pdf=new PDF_AutoPrint();
$pdf->AddPage();
$pdf->SetFont('Arial','',20);
$pdf->Text(80, 50, 'Imprimez-moi !');
//Ouvre la boîte d'impression
$pdf->AutoPrint(true);
// --- Envoie le document au navigateur (I) ---
// --- en cas de téléchargement, le nom du fichier ---
// --- est  javascript.pdf ---
//$pdf->Output();
$pdf->Output('javascript.pdf','I');
?>
